Bin
The Card Details API endpoints will bin lookup and provides card details.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencykeystringOptional
Example: 63bbc548-d2de-4546-b106-880a5018461c
A value you specify that uniquely identifies this transaction. This must be used to trigger a reversal if there is a timeout.
Body
or
Responses
201
The details of the bin range or card. May contain more than one record if a co-branded card.
application/json
400
Bad Request
application/json
401
Unauthorised
application/json
403
Forbidden
application/json
404
Not Found
application/json
500
Internal Server Error
application/json
post/api/v2/card/card-details
POST /oidc/api/v2/card/card-details HTTP/1.1
Host: emea.gsc.verifone.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 171
{
"prefix": 492912,
"entity_id": "30b8bec8-5042-4e67-939c-5453fbe41711",
"query_context": {
"supported_card_brands": [
"VISA"
],
"amount_details": {
"amount": 1,
"currency_code": "AED"
}
}
}{
"bin_details": [
{
"bin": 492912,
"card_brand": "VISA",
"type": "CREDIT",
"funding_source": "CREDIT",
"issuer_country": "ZZZ",
"issuer_name": "HSBC",
"added_leading_zeroes": 1,
"checksum_algorithm": "LUHN",
"card_product": "VISA CLASSIC"
}
]
}Last updated
Was this helpful?
